CC?= cc
RM?= rm
SYD?= syd
GO?= go

all: goshell

clean:
	$(RM) -f ./goshell

check: test

test: goshell
	$(SYD) -plib -pcontainer -- ./goshell

%: %.go
	$(GO) mod tidy
	env CGO_LDFLAGS="-static" $(GO) build -x $<

.PHONY: all check clean test
